Bug 178815 - kickstart doesn't seem to use bootloader command
kickstart doesn't seem to use bootloader command
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-24 10:34 EST by David Jansen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 22:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Jansen 2006-01-24 10:34:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When doing a kickstart install, the bootloader configuration screen is always shown, and the 'bootloader' command in the kickstart configuration file is being ignored.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install FC5 test 2 using a ks.cfg with an entry for bootloader configuration, in my case:
bootloader --location=mbr --driveorder=hda --md5pass=encryptedpassword


Actual Results:  The screen for configuring the bootloader appeared and the grub password was not set so it seems the bootloader command in ks.cfg was ignored

Expected Results:  installation should have continued with the settings provided in the kickstart file without prompting 9as happened in FC4)

Additional info:
Comment 1 Ryan O'Hara 2006-02-26 16:32:08 EST
This is still a problem in FC5 test 3, despite the fact it is marked "fixed in
rawhide". Can we get an explanation why this bug is closed?

"bootloader --location=mbr" in a ks.cfg file for FC5t3, resulting in a system
that will not boot after install. tty5 show that grub is failing with:

"Error 16: Inconsistent filesystem structure"

Note that I have raid configured with my boot partition being RAID1. This worked
flawlessly in FC4 and the bootloader was written to the MBR. I can't quite
figure out if 1) grub is ignoring the "bootloader" command in the ks.cfg or 2)
the RAID1 on the boot partition is causing the problem.

Comment 2 Chris Lumens 2006-05-19 17:43:31 EDT
I believe Jeremy fixed this in rawhide earlier this week.

Note You need to log in before you can comment on or make changes to this bug.